com.verisign.epp.interfaces

## Class EPPNameVerification

- java.lang.Object
- - com.verisign.epp.interfaces.EPPNameVerification

-     public class EPPNameVerification
      extends java.lang.Object

  `EPPNameVerification` is the primary client interface class used for the Name Verification EPP mapping. An instance of `EPPNameVerification` is created with an initialized `EPPSession`, and can be used for more than one request within a single thread. A set of setter methods are provided to set the attributes before a call to one of the send action methods. The responses returned from the send action methods are either instances of `EPPResponse` or instances of response classes in the `com.verisign.epp.codec.nv` package.
  See Also:
    `EPPNameVerificationCheckResp`, `EPPNameVerificationCreateResp`, `EPPNameVerificationInfoResp`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPNameVerification(EPPSession aSession)` Constructs an `EPPNameVerification` given an initialized EPP session.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addExtension(EPPCodecComponent aExtension)` Adds a command extension object.
    `void` | `addLabel(java.lang.String aLabel)` Add a label to the list of labels.
    `java.util.Vector` | `getExtensions()` Gets the command extensions.
    `EPPResponse` | `getResponse()` Gets the response associated with the last command.
    `protected void` | `resetNameVerification()` Resets the Name Verification instance to its initial state.
    `EPPNameVerificationCheckResp` | `sendCheck()` Sends an Name Verification Check Command to the server. The required attributes that must be set prior to executing `sendCheck()` include: `addLabel(String)` - Add at least one domain label to check. The optional attributes can be set with the following: `setTransId` - Sets the client transaction identifier.
    `EPPNameVerificationCreateResp` | `sendCreate()` Sends a Name Verification Create Command to the server. The required attributes that must be set prior to executing `sendCreate()` include: `setDnv(EPPDomainNameVerification)` or `setRnv(EPPRealNameVerification)` - Sets the domain or real name verification information needed to be verified. `setAuthInfo(String)` - Sets the required authorization information for the Name Verification (NV) object.
    `EPPNameVerificationInfoResp` | `sendInfo()` Sends an Name Verification Info Command to the server. The required attributes that must be set prior to executing `sendInfo()` include: `setCode(String)` - Sets the domain verification code to info. `setType(EPPNameVerificationInfoCmd.Type)` - Sets the info type using one of the `EPPNameVerificationInfoCmd.Type` enumerated values. The optional attributes can be set with the following: `setTransId` - Sets the client transaction identifier. `setAuthInfo(String)` - Sets the authorization information to OPTIONAL authorize the info command.
    `EPPResponse` | `sendUpdate()` Sends an Name Verification Update Command to the server. The required attributes that must be set prior to executing `sendUpdate()` include: `setCode(String)` - Sets the verification code to update.
    `void` | `setAuthInfo(java.lang.String aAuthInfo)` Set the auth info for a create or info command.
    `void` | `setCode(java.lang.String aCode)` Sets the code for use with an info command or update command.
    `void` | `setDnv(EPPDomainNameVerification aDnv)` Sets the Domain Name Verification (DNV) information used on a create.
    `void` | `setExtensions(java.util.Vector aExtensions)` Sets the command extension objects.
    `void` | `setInfoType(EPPNameVerificationInfoCmd.Type aInfoType)` Sets the info type that is used on an info command.
    `void` | `setRnv(EPPRealNameVerification aRnv)` Sets the Real Name Verification (RNV) information used on a create.
    `void` | `setTransId(java.lang.String aTransId)` Sets the client transaction identifier.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPNameVerification

          public EPPNameVerification(EPPSession aSession)

      Constructs an `EPPNameVerification` given an initialized EPP session.
      Parameters:
        `aSession` - Server session to use.

  - ### Method Detail

    - #### addExtension

          public void addExtension(EPPCodecComponent aExtension)

      Adds a command extension object.
      Parameters:
        `aExtension` - command extension object associated with the command

    - #### setExtensions

          public void setExtensions(java.util.Vector aExtensions)

      Sets the command extension objects.
      Parameters:
        `aExtensions` - command extension objects associated with the command

    - #### getExtensions

          public java.util.Vector getExtensions()

      Gets the command extensions.
      Returns:
        `Vector` of concrete `EPPCodecComponent` associated with the command if exists; `null` otherwise.

    - #### setTransId

          public void setTransId(java.lang.String aTransId)

      Sets the client transaction identifier.
      Parameters:
        `aTransId` - Client transaction identifier

    - #### addLabel

          public void addLabel(java.lang.String aLabel)

      Add a label to the list of labels.
      Parameters:
        `aLabel` - Label to add

    - #### setAuthInfo

          public void setAuthInfo(java.lang.String aAuthInfo)

      Set the auth info for a create or info command.
      Parameters:
        `aAuthInfo` - Authorization value

    - #### setCode

          public void setCode(java.lang.String aCode)

      Sets the code for use with an info command or update command.
      Parameters:
        `aCode` - Verification code value

    - #### setDnv

          public void setDnv(EPPDomainNameVerification aDnv)

      Sets the Domain Name Verification (DNV) information used on a create.
      Parameters:
        `aDnv` - Domain Name Verification (DNV) information

    - #### setRnv

          public void setRnv(EPPRealNameVerification aRnv)

      Sets the Real Name Verification (RNV) information used on a create.
      Parameters:
        `aRnv` - Real Name Verification (RNV) information

    - #### setInfoType

          public void setInfoType(EPPNameVerificationInfoCmd.Type aInfoType)

      Sets the info type that is used on an info command.
      Parameters:
        `aInfoType` - The info type (input or signedCode)

    - #### sendCheck

          public EPPNameVerificationCheckResp sendCheck()
                                                 throws EPPCommandException

      Sends an Name Verification Check Command to the server.
      The required attributes that must be set prior to executing `sendCheck()` include:
      - `addLabel(String)` - Add at least one domain label to check.
      The optional attributes can be set with the following:
      - `setTransId` - Sets the client transaction identifier.
      Returns:
        `EPPNameVerificationCheckResp`.
      Throws:
        `EPPCommandException` - On error

    - #### sendInfo

          public EPPNameVerificationInfoResp sendInfo()
                                               throws EPPCommandException

      Sends an Name Verification Info Command to the server.
      The required attributes that must be set prior to executing `sendInfo()` include:
      - `setCode(String)` - Sets the domain verification code to info.
      - `setType(EPPNameVerificationInfoCmd.Type)` - Sets the info type using one of the `EPPNameVerificationInfoCmd.Type` enumerated values.
      The optional attributes can be set with the following:
      - `setTransId` - Sets the client transaction identifier.
      - `setAuthInfo(String)` - Sets the authorization information to OPTIONAL authorize the info command.
      Returns:
        `EPPNameVerificationInfoResp`.
      Throws:
        `EPPCommandException` - On error

    - #### sendCreate

          public EPPNameVerificationCreateResp sendCreate()
                                                   throws EPPCommandException

      Sends a Name Verification Create Command to the server.
      The required attributes that must be set prior to executing `sendCreate()` include:
      - `setDnv(EPPDomainNameVerification)` or `setRnv(EPPRealNameVerification)` - Sets the domain or real name verification information needed to be verified.
      - `setAuthInfo(String)` - Sets the required authorization information for the Name Verification (NV) object.
      The optional attributes can be set with the following:
      - `setTransId` - Sets the client transaction identifier.
      Returns:
        `EPPNameVerificationCreateResp`.
      Throws:
        `EPPCommandException` - On error

    - #### sendUpdate

          public EPPResponse sendUpdate()
                                 throws EPPCommandException

      Sends an Name Verification Update Command to the server.
      The required attributes that must be set prior to executing `sendUpdate()` include:
      - `setCode(String)` - Sets the verification code to update.
      - `setAuthInfo(String)` - Sets the authorization information to set for the Name Verification (NV) object.
      The optional attributes can be set with the following:
      - `setTransId` - Sets the client transaction identifier.
      Returns:
        `EPPResponse`.
      Throws:
        `EPPCommandException` - On error

    - #### resetNameVerification

          protected void resetNameVerification()

      Resets the Name Verification instance to its initial state.

    - #### getResponse

          public EPPResponse getResponse()

      Gets the response associated with the last command. This method can be used to retrieve the server error response in the catch block of EPPCommandException.
      Returns:
        Response associated with the last command